RubyGems Navigation menu

glimmer 1.3.1

Glimmer is a Ruby DSL Framework for Ruby GUI and More, consisting of a DSL Engine and an Observable/Observer/Data-Binding Library. Used in the Glimmer DSL for SWT (JRuby Desktop Development GUI Framework), the Glimmer DSL for Tk (Ruby Desktop Development GUI Library), the Glimmer DSL for Opal (Pure Ruby Web GUI and Auto-Webifier of Desktop Apps), the Glimmer DSL for XML (& HTML), and the Glimmer DSL for CSS.

Versions:

  1. 2.5.5 - January 09, 2022 (48 KB)
  2. 2.5.4 - December 08, 2021 (46.5 KB)
  3. 2.5.3 - December 07, 2021 (46 KB)
  4. 2.5.1 - November 20, 2021 (46 KB)
  5. 2.5.0 - November 19, 2021 (46 KB)
  6. 1.3.1 - March 23, 2021 (39 KB)
Show all versions (110 total)

Runtime Dependencies (3):

  • array_include_methods >= 1.0.4, < 2.0.0
  • concurrent-ruby >= 1.1.7, < 2.0.0
  • facets >= 3.1.0, < 4.0.0
  • Development Dependencies (10):

  • coveralls >= 0
  • jeweler >= 2.0.0, < 3.0.0
  • puts_debuggerer ~> 0.10.0
  • rake >= 10.1.0, < 14.0.0
  • rake-tui >= 0
  • rdoc >= 6.2.1, < 7.0.0
  • rspec ~> 3.5.0
  • rspec-mocks ~> 3.5.0
  • simplecov ~> 0.16.1
  • simplecov-lcov ~> 0.7.0
  • Owners:

    Pushed by:

    Authors:

    • AndyMaleh

    SHA 256 checksum:

    327f133b8570787507de69d4e18b1699376d7b7923697ce6336155605b409298

    Total downloads 93,151

    For this version 1,108

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: